@import 'libs/shared/assets/src/global-style/color';

.container-fluid {
  background: $background-main;
  .form-modal {
    background: white;
    padding-bottom: 16px;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 100%;
    border-radius: 8px;
    min-height: 40px;
    &--fun {
      border: none;
    }
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
  }
}

.activeRow {
  background-color: #5e81f4;
  color: white;
  button {
    color: #5c5c5c;
  }
  &:hover {
    background-color: #5e81f4 !important;
    color: white !important;
    td {
      background-color: #5e81f4 !important;
      color: white !important;
      button {
        color: #5c5c5c;
      }
    }
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.function-modal-center {
  align-self: center;
  button {
    width: 42px;
  }
}

.data-table-assessment {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .tr-for-class:hover > td {
    background: $hover-table-row;
  }
  .ant-table-wrapper {
    .ant-table {
      border-radius: 0.5rem;
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background: $hover-table-row;
      }
      tr:hover {
        cursor: pointer;
      }
    }
    .ant-tag-blue {
      background-color: $background-active-status-green;
      color: $active-status-green;
      border-radius: 3px;
    }
    .ant-tag-red {
      background: $background-active-status-red;
      color: $active-status-red;
      border-radius: 3px;
    }
  }
  .ant-table-expanded-row-fixed{
    min-width: 100%;
  }
}
